Bug 109394 - Aironet 350 wireless card does not come up
Aironet 350 wireless card does not come up
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-07 08:47 EST by Don Allingham
Modified: 2007-11-30 17:10 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 15:36:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg output after switching to static IP addresses (9.54 KB, text/plain)
2003-11-07 21:35 EST, Don Allingham
no flags Details

  None (edit)
Description Don Allingham 2003-11-07 08:47:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031030

Description of problem:
After upgrading Fedora Core Test 3 to FC1, my Cisco Aironet 350 card
stopped working. This card has worked fine under RH7.3, RH8.0, and
RH9, and still works under W2K. Performing a clean install of FC1 did
not solve the problem.

The device was configured as eth1 using redhat-config-network. airo_cs
was the module selected. I have tried this with and without WEP
encryption enabled.

Running /sbin/ifup eth1 reports:

[root@gromit dona]# /sbin/ifup eth1
Cannot get driver information: Operation not supported
 
Determining IP information for eth1... failed.

Running sh -x on /sbin/ifup, shows that the problem occurs at

+ '[' Wireless = Bonding ']'
+ ethtool -i eth1
Cannot get driver information: Operation not supported
+

My ifcfg-eth1 file contains:
[root@gromit dona]# more /etc/sysconfig/networking/devices/ifcfg-eth1
DEVICE=eth1
BOOTPROTO=dhcp
ONBOOT=no
TYPE=Wireless
USERCTL=yes
PEERDNS=yes
NETMASK=255.255.255.0
HWADDR=00:08:21:31:be:14
IPADDR=192.168.1.100
GATEWAY=192.168.1.1
DOMAIN=
DHCP_HOSTNAME=
ESSID=allhome
CHANNEL=6
MODE=Managed
RATE=11Mb/s

iwconfig returns:

lo        no wireless extensions.
 
eth0      no wireless extensions.
 
eth1      IEEE 802.11-DS  ESSID:"allhome"  Nickname:"gromit"
          Mode:Managed  Frequency:2.442GHz  Access Point:
FF:FF:FF:FF:FF:FF
          Bit Rate=11Mb/s   Tx-Power=20 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-** [5]  
Security mode:open
          Power Management:off
          Link Quality:176/10  Signal level:-108 dBm  Noise level:-108 dBm
          Rx invalid nwid:3675  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:6771   Missed beacon:0
 
wifi0     IEEE 802.11-DS  ESSID:"allhome"  Nickname:"gromit"
          Mode:Managed  Frequency:2.442GHz  Access Point:
FF:FF:FF:FF:FF:FF
          Bit Rate=11Mb/s   Tx-Power=20 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-** [5]  
Security mode:open
          Power Management:off
          Link Quality:176/10  Signal level:-108 dBm  Noise level:-108 dBm
          Rx invalid nwid:3675  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:6771   Missed beacon:0
 
Note that I did not create the wifi0 interface, and it does not show
up in redhat-config-network.

The laptop is a Dell Inspiron 4100 with a Cisco Aironet 350 card.

At the suggestion of another user, I have tried this with and without
kudzu enabled.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Booting computer causes this to fail
2. Running /sbin/ifconfig eth1 causes this to fail
3. Reinserting the card causes this to fail
    

Additional info:
Comment 1 Bill Nottingham 2003-11-07 09:59:38 EST
Are there any kernel messages from the card?
Comment 2 Don Allingham 2003-11-07 10:32:45 EST
From the /var/log/messages file. A couple of things seem kind of
funny. A message indicating that the Card Services release does not
match, and a wifi0 unknown hardware address type.

Nov  7 08:23:53 gromit cardmgr[1682]: starting, version is 3.1.31
Nov  7 08:23:53 gromit rc: Starting pcmcia:  succeeded
Nov  7 08:23:53 gromit cardmgr[1682]: watching 2 sockets
Nov  7 08:23:53 gromit cardmgr[1682]: Card Services release does not match
Nov  7 08:23:53 gromit kernel: cs: IO port probe 0x0c00-0x0cff: clean.
Nov  7 08:23:53 gromit kernel: cs: IO port probe 0x0100-0x04ff:
excluding 0x378-0x37f 0x4d0-0x4d7
Nov  7 08:23:53 gromit kernel: cs: IO port probe 0x0a00-0x0aff: clean.
Nov  7 08:23:53 gromit kernel: cs: memory probe 0xa0000000-0xa0ffffff:
clean.
Nov  7 08:23:53 gromit cardmgr[1682]: socket 1: 350 Series Wireless
LAN Adapter
Nov  7 08:23:53 gromit cardmgr[1682]: executing: 'modprobe airo_cs'
Nov  7 08:23:54 gromit netfs: Mounting other filesystems:  succeeded
Nov  7 08:23:54 gromit kernel: airo:  Probing for PCI adapters
Nov  7 08:23:54 gromit kernel: airo:  Finished probing for PCI adapters
Nov  7 08:23:55 gromit cardmgr[1682]: executing: './network start eth1'
Nov  7 08:23:55 gromit apmd: apmd startup succeeded
Nov  7 08:23:55 gromit apmd[1720]: Version 3.0.2 (APM BIOS 1.2, Linux
driver 1.16)
Nov  7 08:23:55 gromit kernel: airo: MAC enabled eth1 0:8:21:31:be:14
Nov  7 08:23:55 gromit dhclient: wifi0: unknown hardware address type 801
Nov  7 08:23:55 gromit dhclient: wifi0: unknown hardware address type 801
Nov  7 08:23:55 gromit kernel: eth1: index 0x05: Vcc 5.0, Vpp 5.0, irq
3, io 0x0100-0x013f
Nov  7 08:23:56 gromit autofs: automount startup succeeded
Nov  7 08:23:56 gromit kernel: Setting key 4
Nov  7 08:23:56 gromit kernel: airo:  WEP_PERM set 12106
Comment 3 Bill Nottingham 2003-11-07 10:34:46 EST
It is trying to bring up eth1 and not wifi0, correct?
Comment 4 Don Allingham 2003-11-07 10:48:28 EST
It appears so. wifi0 does not show up in redhat-config-network, and I
forgot to include the line from the messages file that said:

cardmgr[1682]: executing: './network start eth1'

And when I've tried to bring it up manually, I use "/sbin/ifup eth1"

Comment 5 Dave Habben 2003-11-07 16:16:14 EST
Are you using radio firmware 4.25.30 or older? If you've upgraded the
firmware above this version I don't believe it's supported in the 2.4
kernel any longer.

If you have upgraded it to one of the 5.xx.xx releases you can
download an older version from:
http://www.cisco.com/pcgi-bin/Software/WLAN/wlplanner.cgi
Comment 6 Don Allingham 2003-11-07 16:24:33 EST
I am using firmware version 4.25.30. I have never upgraded the firware
on the device.
Comment 7 Don Allingham 2003-11-07 21:34:33 EST
I've set the configuration up to use a static IP, and this eliminates
the error messages from dhclient (the wifi0 unknown address errors).
I've run dmesg, and attached the output. I did see an odd message from
"divert: not allocated divert_blk for non-ethernet device wifi0"
Comment 8 Don Allingham 2003-11-07 21:35:21 EST
Created attachment 95813 [details]
dmesg output after switching to static IP addresses
Comment 9 Don Allingham 2003-11-10 16:17:28 EST
I can get the card to associate with a router by using the "Aironet
Client Utility" from Cisco (downloaded from their linux site). So I
know the card works (I had also previously verified this under W2K and
on a friend's debian laptop).

However, I have not been able to get it to get an address via DHCP, or
to get it to work with /sbin/ifup
Comment 10 Don Allingham 2003-11-11 13:15:52 EST
By using the Cisco utility "acu", I was able to set the SSID and WEP
keys in the card. If I then use the Cisco utility "bcard", I can get
the card to associate with the access point. Then, by manually running
dhclient, I can get a IP address and get connected.

The card seems to be working, dhclient seems to be working, and the
drivers seem to be working. At this point, I'm suspicious of the
iwconfig command used by /sbin/ifup.
Comment 11 Don Allingham 2003-11-14 10:19:44 EST
Switching to a Netgear MA401 solves the problem with the same setup.
Comment 12 Jason 'vanRijn' Kasper 2003-11-24 12:00:24 EST
I just wanted to add to this...  I have a Symbol Spectrum 24 card.  orinoco_cs works 
perfectly with it, so this isn't an issue of "oh, you need to go find the right driver..."  
Mandrake 9.2 and 9.1 have worked perfectly with it, as has debian sid for the past 
year+.   And, as I type this now from mandrake 9.2, I'm using the same wireless card 
with the same driver (orinoco_cs), with WEP on, and it works perfectly.

However, when I try to use it with fedora core 1, I get the exact same messages that 
Don reported.  

I've recompiled my kernel, recompiled kernel-pcmcia-cs, replaced kernel-pcmcia-cs with 
pcmcia-cs 3.2.4, tried turning WEP off completely both in my AP and in fedora, and none 
of it lets the wireless card work.

The only odd-looking thing to me is what Don sees...  "Cannot get driver information: 
Operation not supported".

I didn't create a new bug, because though it's a different driver and card, the 
symptoms are the same.  Please let me know if I should create a new bug for this.
Comment 13 black 2003-12-02 23:44:50 EST
I freshly installed Fedora twice today in an attempt to get my
AIR-PCM350 working as well with the exact same results as Don. I am
also installing on a Dell laptop (a D600 to be exact). VanRijn I would
be curious to know who the vendor is of your hardware. Starting to
wonder if this might be a Dell PCMCIA slot problem of some sort.
Comment 14 Jason 'vanRijn' Kasper 2003-12-03 23:42:09 EST
My laptop is an IBM A31 Thinkpad.  I've tried this with 2 cards now, with no success.

- a LA4121 Spectrum24 Wireless LAN PC Card (which works perfectly in every other 
distro (including the SuSE 9.0 install I'm typing this from right now) with the orinoco_cs 
module)

- and a DLink DWL-650 (the old one) that works perfectly with prism_cs.

Now, this last weekend, I download the most recent stable wlan-ng code, installed it, 
and restarted pcmcia, etc.  Fedora Core 1 looked like it successfully associate to my 
AP, and even got a DHCP address from my AP, but when I looked at `netstat -nr`, 
somehow, it had 2 IP addresses assigned to the wireless NIC.  It had the correct 
dhcp-supplied one, and then it also had a 169.254.x.x address that was obviously 
wrong.  The funny thing was that this address didn't show up in `ifconfig`.

So, anyway, long story short, it's not a Dell PCMCIA slot problem.  In fact, after the 
above experience, I'm convinced that it's not a hardware or driver problem, since the 
modules load properly, and even go so far as associating to the AP.  It must be 
something that Fedora Core1 is doing with the network configuration/etc. that is 
screwing this up so badly, which is a real shame.
Comment 15 Michael Opdenacker 2004-01-07 09:00:23 EST
Same issue for me. The driver seems to be loaded properly, and
I get the same error message.

Did anyone find a work-around or a solution in the meantime?

Cheers,

Michael.
Comment 16 Jason 'vanRijn' Kasper 2004-01-07 09:22:13 EST
yep.  I installed SuSE 9.0 and it works uber-flawlessly--better even
than MDK 9.1.  that's my work-around, unfortunately.  I'm honestly
shocked that this is still a fatal bug in fedora.  =:/
Comment 17 Adrian Schmitz 2004-01-27 14:30:56 EST
I have the same problem as Don is describing.  I installed Fedora Core
1 on my Toshiba Satellite Pro and I am trying to use my Cisco Aironet
350 PCMCIA card.  I have found that if I leave the card out while I
boot and insert it once the machine is up it works.  If I boot while
the card is in, the boot messages say that the card isn't found and
initialization is delayed (no pcmcia yet, same with card out), and
then after a delay (usually about the time I'm trying to log in w/
gdm) the machine hangs completely (no x cursor movement, no nothing).
 The only way to get it un-stuck is to pop the card out.  After I pop
the card out of the socket, the machine carries on, and I pop the card
right back in and I'm online no problem.  That's all I've found so
far.  I tried removing the entries for the card from
redhat-network-config and adding one from scratch.  If I try to bring
the interface up w/ dhcp enabled, I get the error that Don described,
and it hangs at a message indicating that its trying to grab an IP. 
If I try it with a static IP, I still shows the error but doesn't hang
at that screen, however I still can't get any traffic to/from my
access point.
Comment 18 John McGarrigle 2004-03-04 08:21:45 EST
Has anyone been able to get an IP address using a Cisco 350 PCMCIA
card using dHCP as of yet?  Using the Cisco tools I can associate to a
AP < as above >, but I cannot get an IP address.  If anyone has the
solution, I'd love to hear it!
Comment 19 eliott 2004-05-12 03:54:51 EDT
I managed to get my PCM350 working, but just barely. I had to
downgrade the firmware all the way to 4.25.23 (4.25.30 did not work). 

the problem is that niether the fedora net config tool, nor the
iwconfig utilities, nor working directly with the files in
/proc/drivers/aironet/eth1/ are working to set anything. I can only do
this with the acu utility from cisco. If I use any of the other
methods, then dhclient craps out and nothing happens.

I have beat my head against the wall for a while now, to no avail. 
Comment 20 Denice 2004-06-22 12:52:38 EDT
Just a note to say that this card works for me provided I stay away
the 'neat' tool in *-config-network.  I just run a small script to get
onto the network:
  #!/bin/sh 
  cat /dev/null > /etc/resolv.conf
  iwconfig eth1 essid public mode managed rate auto
  dhclient eth1

I can deactivate the card using 'neat', but I cannot activate it. It
never gets an IP address.  It seems like a 'neat' and/or
wireless-tools and/or config issue to me..

(tested with kernels 2.4.22-1.2188 and 2.4.22-1.2194 on HP omnibook
and on Sony vaio; firmware is at 4.25.30)
Comment 21 David Lawrence 2004-09-29 15:36:03 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.